kenjis/codeigniter-doctrine

A simple Doctrine integration for CodeIgniter 3.x

Installs: 7 899

Dependents: 0

Suggesters: 3

Security: 0

Stars: 22

Watchers: 4

Forks: 13

Open Issues: 1

Type:codeigniter-library

dev-master / 1.0.x-dev 2018-01-13 11:30 UTC

This package is auto-updated.

Last update: 2020-09-23 04:06:14 UTC


README

This package provides simple Doctrine integration for CodeIgniter 3.x.

Folder Structure

codeigniter/
└── application/
    └── libraries/
        └── codeigniter-doctrine/
            └── libraries/
                └── Doctrine.php

Requirements

  • PHP 5.4.0 or later
  • Composer

Installation

Install this project with Composer:

$ cd /path/to/codeigniter/
$ composer require kenjis/codeigniter-doctrine:1.0.x@dev

Usage

Load Doctrine library:

$this->load->library('Doctrine');

Use the entity manager:

$em = $this->doctrine->em;

Use doctrine command:

$ cd /path/to/codeigniter/
$ vendor/bin/doctrine

Reference

Related Projects for CodeIgniter 3.x